import Foundation

public protocol FileServicing {
    
    // MARK: Computed
    
    var currentFolder: URL { get async }
    
    // MARK: Functions
    
    func exists(at url: URL) async throws (FileServiceError) -> Bool
    
}

// MARK: - Errors

public enum FileServiceError: Error, Equatable {
    case folderNotCreated
    case folderNotDeleted
    case urlAlreadyExists
    case urlNotExists
    case urlNotFileURL
}
